/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Interface.java to edit this template
 */
package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.*;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author obper
 */
@Local
public interface HorasAnticipoFacadeLocal {

    void create(HorasAnticipo horasAnticipo);

    void edit(HorasAnticipo horasAnticipo);

    void remove(HorasAnticipo horasAnticipo);

    HorasAnticipo find(Object id);

    List<HorasAnticipo> findAll();

    List<HorasAnticipo> findRange(int[] range);

    public List<VEmpleadosFijos> buscarFijos();

    public void ingresarHoraExtra(String codigoEmpleado, Date fechaIni, Date fechaFin, String observa);

    public List<HorasExtrasPersonal> obtnerHorasExEm(String codigoEmpleado);

    int count();

    public void borrarHoraExtra(String idHora);

    List<PersonalAsignado> obtenerPersonalAsignado(String usuarioCodigo);

    VEmpleadosFijos buscarEmpleado(String empleadoCodigo);

    List<HorasAnticipo> obtenerSegunMes(int mes, boolean quincena);

    void borrarIngresoHoraAnticipo(String idHora);
    
}
